#ifndef ANIMONE_ANIMONE_WIN_H_
#define ANIMONE_ANIMONE_WIN_H_

#include <functional>
#include <string>

namespace animone {

struct Process;
struct Window;

namespace internal {

using window_proc_t = std::function<bool(const Process&, const Window&)>;

bool EnumerateWindows(window_proc_t window_proc);

} // namespace internal

} // namespace animone

#endif // ANIMONE_ANIMONE_WIN_H_
